Consent Data Categories API

AI Tools

API To Fetch Product Specific Data Categories and Data Types

Consent Data Categories define thespecific types of personal data or personally identifiable information(PII) for which consent is being collected from the Data Principal. They help clearly identify the scope of data processing authorized by the user, ensuring transparency, purpose limitation, and regulatory compliance under the Digital Personal Data Protection Act (DPDPA), 2023. Examples may include identity information, contact details, financial data, employment records, educational information, location data, or verification documents depending on the business use case and processing purpose.

Refer to Consent Data Categories to read more.

API Definition


Request

Type

URL

Version

POST

https://api.attestr.com/api/{version/public/consent/data-categories

Use "v3" for DPDA compliant version

Request Body Parameters

Type

Name

Description

Optional (default)

Min Version

Max Version

String

type

Provide the consent purpose. Allowed values are - kyc_verification background_verification Read more at Consent Purpose

Required

v3


Array<Service Object>

services

List of services for which data categories are required to be fetched. Refer Service object definition below.

Required

v3


Service Object Definition

Type

Name

Description

Optional (default)

Min Version

Max Version

String

service

Provide the Service code. Attestr assigns a unique service code to each product and service it offers. For example, the service code for Bank Account Verification is BANK_ACC. Please refer to the relevant product documentation to identify the correct service code for the service you intend to use.

Required

v3


Object

options

Reserved for future use. Used for specifying service specific options which helps to decide the associated data categories.

Optional

v3


Request Header Parameters

Type

Name

Value / Description

Optional

Min Version

Max Version

String

Content-Type

application/json

Required

v3


String

Authorization

Basic {authToken}

Required

v3


Info

If you do not have the authentication token, please refer to Register App to generate one.

Sample Request Payload

{ "type": "kyc_verification", "services": [{ "service": "BANK_ACC" }, { "service": "UDYAMX" }] }

Response

Http Status 200

API returns an array of objects. Each object includes one data category and list of associated data types. The object definition is as below.

Key

Description

Type

Min Version

Max Version

category

Data category for the provided service

String

v3


values

Associated data types as mapped to the provided service

Array<String>

v3


Sample Response

Sample response for valid input

[ { "category": "financial", "values": [ "bank_account", "ifsc" ] }, { "category": "personal_information", "values": [ "name", "gender", "social_category" ] }, { "category": "business_identity", "values": [ "business_registration_number", "business_name" ] } ]

Error Response

Parameter

Type

Description

code

Number

Unique error codes for different errors. Always available.

httpStatusCode

String

Standard HTTP status code for the error

message

String

Error message describing the error. Always Available.

details

String

Detail error message. Available only for certain types of errors.

Error Codes

HTTP Status

Error Code

Error Message

400

4001

Malformed data or missing required parameter values

400

4005

Operation could not be performed due to low credits balance

401

4016

Invalid client authorization

403

4031

Unauthorized access

403

4035

Requested service is not provisioned for your account

403

4039

Client's IP address is not whitelisted

403

4035

Requested service is not provisioned for your account

429

4291

Maximum account rate limit exceeded

429

4292

Maximum API rate limit exceeded

429

4293

Maximum account daily limit exceeded

429

4294

Maximum API daily limit exceeded

500

5001

Request could not be processed

Sample Error Response

{ "httpStatusCode": 400, "code": 4001, "message": "Malformed data or missing required parameter values", "appError": true }


  Last updated